osgDB::ifstream Class Reference

`#include <fstream>`

Inheritance diagram for osgDB::ifstream:

## Public Member Functions

OSGDB_EXPORT | ifstream ()
OSGDB_EXPORT | ifstream (const char *filename, std::ios_base::openmode mode=std::ios_base::in)
OSGDB_EXPORT | ~ifstream ()
void OSGDB_EXPORT | open (const char *filename, std::ios_base::openmode mode=std::ios_base::in)

## Constructor & Destructor Documentation

## ifstream() [1/2]

OSGDB_EXPORT osgDB::ifstream::ifstream | ( |  | ) |

References OSGDB_EXPORT.

## ifstream() [2/2]

OSGDB_EXPORT osgDB::ifstream::ifstream | ( | const char * | filename,
|  | std::ios_base::openmode | mode = std::ios_base::in )

explicit

References OSGDB_EXPORT.

## ~ifstream()

OSGDB_EXPORT osgDB::ifstream::~ifstream | ( |  | ) |

References OSGDB_EXPORT.

## Member Function Documentation

## open()

void OSGDB_EXPORT osgDB::ifstream::open | ( | const char * | filename,
|  | std::ios_base::openmode | mode = std::ios_base::in )

References OSGDB_EXPORT.

The documentation for this class was generated from the following file:

- fstream